# $Revision: 1.16 $, $Date: 2001/11/21 12:25:31 $
Summary:	A nibbles clone
Summary(pl):	Klon gry nibbles
Name:		netwoorms
Version:	1.7
Release:	5
License:	Free, but read README
Vendor:		Micha "Azzie" Marszaek <azzie@staszic.waw.pl>
Group:		Applications/Games
Group(de):	Applikationen/Spiele
Group(pl):	Aplikacje/Gry
Source0:	%{name}-%{version}.tar.gz
URL:		http://azzie.home.staszic.waw.pl/?en
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetWoorms is a little, multiplayer, networked game, that runs on the
console. If you have ever played 'nibbles', you know the simple rules.
The only difference from the orginal version is that you get frags,
not points, and that you play against as many humans as you want.

%description -l pl
NetWoorms to maa gra sieciowa na wielu graczy dziaajca na konsoli.
Jeli grae kiedy w 'nibbles', znasz jej proste zasady. Jedyn
rnic midzy NetWoorms a oryginaem jest to, e gra si na fragi a
nie punkty i e mona gra przeciwko dowolnej liczbie ludzi.

%prep
%setup -q

%build
./configure --datadir=%{_datadir}
%{__make} CFLAGS="%{rpmcflags}"

cd contrib/nwoobot-0.3
rm -f missing
aclocal
autoconf
automake -a -c
%configure
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/netwoorms/{maps,texts}} \
	$RPM_BUILD_ROOT%{_mandir}/man1

install nwoosrv nwoo contrib/nwoobot-0.3/nwoobot $RPM_BUILD_ROOT%{_bindir}
install maps/* $RPM_BUILD_ROOT%{_datadir}/netwoorms/maps
install texts/* $RPM_BUILD_ROOT%{_datadir}/netwoorms/texts
install contrib/maps/* $RPM_BUILD_ROOT%{_datadir}/netwoorms/maps
install contrib/nwoobot-0.3/README README.bot
install docs/* $RPM_BUILD_ROOT%{_mandir}/man1

gzip -9nf LICENSE README NEWS README.bot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.gz README.gz NEWS.gz README.bot.gz
%attr(755,root,root) %{_bindir}/*
%{_datadir}/netwoorms
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: netwoorms.spec,v $
Revision 1.16  2001/11/21 12:25:31  kloczek
- updated URL and cosmetics.

Revision 1.15  2001/11/21 12:04:44  saq
- release 5, rebuild

Revision 1.14  2001/11/15 23:48:02  saq
- pass proper datadir to ./configure

Revision 1.13  2001/10/01 08:57:12  qboosh
- BuildRequires: autoconf,automake; removed redundant Requires

Revision 1.12  2001/09/29 10:35:22  blues
- release 4
- ac2.5 ready
- first configure should be ./configure !! It's not ac/am stuff

Revision 1.11  2001/05/02 16:29:09  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.9  2000/07/13 23:17:18  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.8  2000/07/13 23:01:37  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.7  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/07 04:11:30  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:06  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.3  2000/02/15 18:15:24  zagrodzki
- new URL
- Vendor: field

Revision 1.2  1999/12/15 13:41:12  zagrodzki
- corrected URL
- added README.bot instead of README.contrib

Revision 1.1  1999/12/15 08:46:41  zagrodzki
- initial release
